package com.cf.imes.module.executor.enums.manage.remainPlate;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum RemainPlateUseTypeEnum {

    TYPE_ZERO(0, ""),
    TYPE_ONE(1, "核销"),
    TYPE_TWO(2, "排单"),
    TYPE_THREE(3, "补板");

    private final Integer status;
    private String description;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(RemainPlateUseTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }
}
